Zoom install-64: move box64 installation earlier

pull/891/head
Botspot 4 years ago
parent 86546fb0da
commit 34284ca678

@ -7,7 +7,15 @@ function error {
exit 1
}
cd $HOME
if command -v box64 >/dev/null;then
echo "Updating box64..."
else
echo "Installing box64..."
fi
"${DIRECTORY}/manage" install-if-not-installed 'Box64' || error "Box64 installation failed!"
if ! command -v box64 >/dev/null;then
error "Box64 failed to install somehow!\n/usr/local/bin/box64 does not exist"
fi
# Get dependencies
DISTRO=$(lsb_release -is)
@ -28,9 +36,11 @@ if true;then
rm -rf "${HOME}/zoom" ~/zoom_x86_64.tar.xz
wget 'https://zoom.us/client/latest/zoom_x86_64.tar.xz' || error 'Failed to download Zoom x86_64!'
echo "Extracting..."
tar -xf ~/zoom_x86_64.tar.xz || error 'Failed to extract Zoom x86_64!'
rm -f ~/zoom_x86_64.tar.xz #who cares if this fails
echo "Getting x86_64 libs..."
wget https://github.com/chunky-milk/ZoomClient-ARM/raw/master/zoom_x64_libs.zip || error "Failed to download zoom x64 libraries!"
unzip zoom_x64_libs.zip || error "Failed to extract zoom libraries."
mv zoom_x64_libs/* zoom/ || error "Failed to move zoom x64 libraries to zoom folder."
@ -53,16 +63,6 @@ echo -e "\e[102m\e[30mLaunching Zoom.\e[0m"
box64 zoom' > "${HOME}/zoom/runzoom.sh"
chmod +x "${HOME}/zoom/runzoom.sh"
if command -v box64 >/dev/null;then
echo "Updating box64..."
else
echo "Installing box64..."
fi
"${DIRECTORY}/manage" install-if-not-installed 'Box64' || error "Box64 installation failed!"
if ! command -v box64 >/dev/null;then
error "Box64 failed to install somehow!\n/usr/local/bin/box64 does not exist"
fi
echo "Creating a Zoom button in the Main Menu..."
echo "[Desktop Entry]
Name=Zoom
@ -85,4 +85,4 @@ fi
systemctl --user unmask pulseaudio.service pulseaudio.socket
systemctl --user enable pulseaudio.service pulseaudio.socket
echo "Installation complete!"
echo "Installation complete!"

Loading…
Cancel
Save